diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/he/he-ppdu.h ns-3.44/src/wifi/model/he/he-ppdu.h
--- ns-3.43/src/wifi/model/he/he-ppdu.h	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/he/he-ppdu.h	2025-03-09 16:55:49.791372500 -0700
@@ -16,8 +16,8 @@
 #include <variant>
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of ns3::HePpdu class.
  */
 
@@ -30,8 +30,8 @@
 class WifiPsdu;
 
 /**
- * \brief HE PPDU (11ax)
- * \ingroup wifi
+ * @brief HE PPDU (11ax)
+ * @ingroup wifi
  *
  * HePpdu stores a preamble, PHY headers and a map of PSDUs of a PPDU with HE header
  */
@@ -109,11 +109,11 @@
     /**
      * Create an SU HE PPDU, storing a PSDU.
      *
-     * \param psdu the PHY payload (PSDU)
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param channel the operating channel of the PHY used to transmit this PPDU
-     * \param ppduDuration the transmission duration of this PPDU
-     * \param uid the unique ID of this PPDU
+     * @param psdu the PHY payload (PSDU)
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param channel the operating channel of the PHY used to transmit this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
+     * @param uid the unique ID of this PPDU
      */
     HePpdu(Ptr<const WifiPsdu> psdu,
            const WifiTxVector& txVector,
@@ -125,12 +125,12 @@
      *
      * This PPDU can either be UL or DL.
      *
-     * \param psdus the PHY payloads (PSDUs)
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param channel the operating channel of the PHY used to transmit this PPDU
-     * \param ppduDuration the transmission duration of this PPDU
-     * \param uid the unique ID of this PPDU or of the triggering PPDU if this is an HE TB PPDU
-     * \param flag the flag indicating the type of Tx PSD to build
+     * @param psdus the PHY payloads (PSDUs)
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param channel the operating channel of the PHY used to transmit this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
+     * @param uid the unique ID of this PPDU or of the triggering PPDU if this is an HE TB PPDU
+     * @param flag the flag indicating the type of Tx PSD to build
      */
     HePpdu(const WifiConstPsduMap& psdus,
            const WifiTxVector& txVector,
@@ -148,23 +148,23 @@
     /**
      * Get the payload of the PPDU.
      *
-     * \param bssColor the BSS color of the PHY calling this function.
-     * \param staId the STA-ID of the PHY calling this function.
-     * \return the PSDU
+     * @param bssColor the BSS color of the PHY calling this function.
+     * @param staId the STA-ID of the PHY calling this function.
+     * @return the PSDU
      */
     Ptr<const WifiPsdu> GetPsdu(uint8_t bssColor, uint16_t staId = SU_STA_ID) const;
 
     /**
-     * \return the transmit PSD flag set for this PPDU
+     * @return the transmit PSD flag set for this PPDU
      *
-     * \see TxPsdFlag
+     * @see TxPsdFlag
      */
     TxPsdFlag GetTxPsdFlag() const;
 
     /**
-     * \param flag the transmit PSD flag set for this PPDU
+     * @param flag the transmit PSD flag set for this PPDU
      *
-     * \see TxPsdFlag
+     * @see TxPsdFlag
      */
     void SetTxPsdFlag(TxPsdFlag flag) const;
 
@@ -173,7 +173,7 @@
      * is not available from the PHY headers but it requires information from the TRIGVECTOR
      * of the AP expecting these HE TB PPDUs.
      *
-     * \param trigVector the TRIGVECTOR or std::nullopt if no TRIGVECTOR is available at the caller
+     * @param trigVector the TRIGVECTOR or std::nullopt if no TRIGVECTOR is available at the caller
      */
     void UpdateTxVectorForUlMu(const std::optional<WifiTxVector>& trigVector) const;
 
@@ -182,11 +182,11 @@
      * This is applicable only for MU.
      * See section 27.3.10.8.3 of IEEE 802.11ax draft 4.0.
      *
-     * \param channelWidth the channel width occupied by the PPDU
-     * \param ruAllocation 8 bit RU_ALLOCATION per 20 MHz
-     * \param sigBCompression flag whether SIG-B compression is used by the PPDU
-     * \param numMuMimoUsers the number of MU-MIMO users addressed by the PPDU
-     * \return a pair containing the number of RUs in each HE-SIG-B content channel (resp. 1 and 2)
+     * @param channelWidth the channel width occupied by the PPDU
+     * @param ruAllocation 8 bit RU_ALLOCATION per 20 MHz
+     * @param sigBCompression flag whether SIG-B compression is used by the PPDU
+     * @param numMuMimoUsers the number of MU-MIMO users addressed by the PPDU
+     * @return a pair containing the number of RUs in each HE-SIG-B content channel (resp. 1 and 2)
      */
     static std::pair<std::size_t, std::size_t> GetNumRusPerHeSigBContentChannel(
         MHz_u channelWidth,
@@ -198,20 +198,20 @@
      * Get the HE SIG-B content channels for a given PPDU
      * IEEE 802.11ax-2021 27.3.11.8.2 HE-SIG-B content channels
      *
-     * \param txVector the TXVECTOR used for the PPDU
-     * \param p20Index the index of the primary20 channel
-     * \return HE-SIG-B content channels
+     * @param txVector the TXVECTOR used for the PPDU
+     * @param p20Index the index of the primary20 channel
+     * @return HE-SIG-B content channels
      */
     static HeSigBContentChannels GetHeSigBContentChannels(const WifiTxVector& txVector,
                                                           uint8_t p20Index);
 
     /**
      * Get variable length HE SIG-B field size
-     * \param channelWidth the channel width occupied by the PPDU
-     * \param ruAllocation 8 bit RU_ALLOCATION per 20 MHz
-     * \param sigBCompression flag whether SIG-B compression is used by the PPDU
-     * \param numMuMimoUsers the number of MU-MIMO users addressed by the PPDU
-     * \return field size in bytes
+     * @param channelWidth the channel width occupied by the PPDU
+     * @param ruAllocation 8 bit RU_ALLOCATION per 20 MHz
+     * @param sigBCompression flag whether SIG-B compression is used by the PPDU
+     * @param numMuMimoUsers the number of MU-MIMO users addressed by the PPDU
+     * @return field size in bytes
      */
     static uint32_t GetSigBFieldSize(MHz_u channelWidth,
                                      const RuAllocation& ruAllocation,
@@ -222,18 +222,18 @@
     /**
      * Fill in the TXVECTOR from PHY headers.
      *
-     * \param txVector the TXVECTOR to fill in
+     * @param txVector the TXVECTOR to fill in
      */
     virtual void SetTxVectorFromPhyHeaders(WifiTxVector& txVector) const;
 
     /**
      * Reconstruct HeMuUserInfoMap from HE-SIG-B header.
      *
-     * \param txVector the TXVECTOR to set its HeMuUserInfoMap
-     * \param ruAllocation the RU_ALLOCATION per 20 MHz
-     * \param contentChannels the HE-SIG-B content channels
-     * \param sigBCompression flag whether SIG-B compression is used by the PPDU
-     * \param numMuMimoUsers the number of MU-MIMO users addressed by the PPDU
+     * @param txVector the TXVECTOR to set its HeMuUserInfoMap
+     * @param ruAllocation the RU_ALLOCATION per 20 MHz
+     * @param contentChannels the HE-SIG-B content channels
+     * @param sigBCompression flag whether SIG-B compression is used by the PPDU
+     * @param numMuMimoUsers the number of MU-MIMO users addressed by the PPDU
      */
     void SetHeMuUserInfos(WifiTxVector& txVector,
                           const RuAllocation& ruAllocation,
@@ -244,65 +244,65 @@
     /**
      * Convert channel width expressed in MHz to bandwidth field encoding in HE-SIG-A.
      *
-     * \param channelWidth the channel width in MHz
-     * \return the value used to encode the bandwidth field in HE-SIG-A
+     * @param channelWidth the channel width in MHz
+     * @return the value used to encode the bandwidth field in HE-SIG-A
      */
     static uint8_t GetChannelWidthEncodingFromMhz(MHz_u channelWidth);
 
     /**
      * Convert number of spatial streams to NSTS field encoding in HE-SIG-A.
      *
-     * \param nss the number of spatial streams
-     * \return the value used to encode the NSTS field in HE-SIG-A
+     * @param nss the number of spatial streams
+     * @return the value used to encode the NSTS field in HE-SIG-A
      */
     static uint8_t GetNstsEncodingFromNss(uint8_t nss);
 
     /**
      * Convert guard interval and NLTF to its encoding in HE-SIG-A.
      *
-     * \param guardInterval the guard interval
-     * \param nltf the the number of long training symbols
-     * \return the value used to encode the NSTS field in HE-SIG-A
+     * @param guardInterval the guard interval
+     * @param nltf the the number of long training symbols
+     * @return the value used to encode the NSTS field in HE-SIG-A
      */
     static uint8_t GetGuardIntervalAndNltfEncoding(Time guardInterval, uint8_t nltf);
 
     /**
      * Convert number of spatial streams from NSTS field encoding in HE-SIG-A.
      *
-     * \param nsts the value of the NSTS field in HE-SIG-A
-     * \return the number of spatial streams
+     * @param nsts the value of the NSTS field in HE-SIG-A
+     * @return the number of spatial streams
      */
     static uint8_t GetNssFromNstsEncoding(uint8_t nsts);
 
     /**
      * Convert channel width expressed in MHz from bandwidth field encoding in HE-SIG-A.
      *
-     * \param bandwidth the value of the bandwidth field in HE-SIG-A
-     * \return the channel width in MHz
+     * @param bandwidth the value of the bandwidth field in HE-SIG-A
+     * @return the channel width in MHz
      */
     static MHz_u GetChannelWidthMhzFromEncoding(uint8_t bandwidth);
 
     /**
      * Convert guard interval from its encoding in HE-SIG-A.
      *
-     * \param giAndNltfSize the value used to encode the guard interval and NLTF field in HE-SIG-A
-     * \return the guard interval
+     * @param giAndNltfSize the value used to encode the guard interval and NLTF field in HE-SIG-A
+     * @return the guard interval
      */
     static Time GetGuardIntervalFromEncoding(uint8_t giAndNltfSize);
 
     /**
      * Convert number of MU-MIMO users to its encoding in HE-SIG-A.
      *
-     * \param nUsers the number of MU-MIMO users
-     * \return the number of MU-MIMO users to its encoding in HE-SIG-A
+     * @param nUsers the number of MU-MIMO users
+     * @return the number of MU-MIMO users to its encoding in HE-SIG-A
      */
     static uint8_t GetMuMimoUsersEncoding(uint8_t nUsers);
 
     /**
      * Convert number of MU-MIMO users from its encoding in HE-SIG-A.
      *
-     * \param encoding the number of MU-MIMO users encoded in HE-SIG-A
-     * \return the number of MU-MIMO users from its encoding in HE-SIG-A
+     * @param encoding the number of MU-MIMO users encoded in HE-SIG-A
+     * @return the number of MU-MIMO users from its encoding in HE-SIG-A
      */
     static uint8_t GetMuMimoUsersFromEncoding(uint8_t encoding);
 
@@ -315,40 +315,40 @@
     /**
      * Fill in the PHY headers.
      *
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param ppduDuration the transmission duration of this PPDU
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
      */
     void SetPhyHeaders(const WifiTxVector& txVector, Time ppduDuration);
 
     /**
      * Fill in the L-SIG header.
      *
-     * \param ppduDuration the transmission duration of this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
      */
     void SetLSigHeader(Time ppduDuration);
 
     /**
      * Fill in the HE-SIG header.
      *
-     * \param txVector the TXVECTOR that was used for this PPDU
+     * @param txVector the TXVECTOR that was used for this PPDU
      */
     void SetHeSigHeader(const WifiTxVector& txVector);
 
     /**
      * Return true if the PPDU is a MU PPDU
-     * \return true if the PPDU is a MU PPDU
+     * @return true if the PPDU is a MU PPDU
      */
     virtual bool IsMu() const;
 
     /**
      * Return true if the PPDU is a DL MU PPDU
-     * \return true if the PPDU is a DL MU PPDU
+     * @return true if the PPDU is a DL MU PPDU
      */
     virtual bool IsDlMu() const;
 
     /**
      * Return true if the PPDU is an UL MU PPDU
-     * \return true if the PPDU is an UL MU PPDU
+     * @return true if the PPDU is an UL MU PPDU
      */
     virtual bool IsUlMu() const;
 
@@ -356,11 +356,11 @@
 };                       // class HePpdu
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param flag the transmit power spectral density flag
- * \returns a reference to the stream
+ * @param os the stream
+ * @param flag the transmit power spectral density flag
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const HePpdu::TxPsdFlag& flag);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/he/he-ru.cc ns-3.44/src/wifi/model/he/he-ru.cc
--- ns-3.43/src/wifi/model/he/he-ru.cc	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/he/he-ru.cc	2025-03-09 16:55:49.791372500 -0700
@@ -19,7 +19,7 @@
 
 const HeRu::SubcarrierGroups HeRu::m_heRuSubcarrierGroups = {
     // RUs in a 20 MHz HE PPDU (Table 28-6)
-    {{20, HeRu::RU_26_TONE},
+    {{MHz_u{20}, HeRu::RU_26_TONE},
      {/* 1 */ {{-121, -96}},
       /* 2 */ {{-95, -70}},
       /* 3 */ {{-68, -43}},
@@ -29,17 +29,17 @@
       /* 7 */ {{43, 68}},
       /* 8 */ {{70, 95}},
       /* 9 */ {{96, 121}}}},
-    {{20, HeRu::RU_52_TONE},
+    {{MHz_u{20}, HeRu::RU_52_TONE},
      {/* 1 */ {{-121, -70}},
       /* 2 */ {{-68, -17}},
       /* 3 */ {{17, 68}},
       /* 4 */ {{70, 121}}}},
-    {{20, HeRu::RU_106_TONE},
+    {{MHz_u{20}, HeRu::RU_106_TONE},
      {/* 1 */ {{-122, -17}},
       /* 2 */ {{17, 122}}}},
-    {{20, HeRu::RU_242_TONE}, {/* 1 */ {{-122, -2}, {2, 122}}}},
+    {{MHz_u{20}, HeRu::RU_242_TONE}, {/* 1 */ {{-122, -2}, {2, 122}}}},
     // RUs in a 40 MHz HE PPDU (Table 28-7)
-    {{40, HeRu::RU_26_TONE},
+    {{MHz_u{40}, HeRu::RU_26_TONE},
      {/* 1 */ {{-243, -218}},
       /* 2 */ {{-217, -192}},
       /* 3 */ {{-189, -164}},
@@ -58,7 +58,7 @@
       /* 16 */ {{164, 189}},
       /* 17 */ {{192, 217}},
       /* 18 */ {{218, 243}}}},
-    {{40, HeRu::RU_52_TONE},
+    {{MHz_u{40}, HeRu::RU_52_TONE},
      {/* 1 */ {{-243, -192}},
       /* 2 */ {{-189, -138}},
       /* 3 */ {{-109, -58}},
@@ -67,17 +67,17 @@
       /* 6 */ {{58, 109}},
       /* 7 */ {{138, 189}},
       /* 8 */ {{192, 243}}}},
-    {{40, HeRu::RU_106_TONE},
+    {{MHz_u{40}, HeRu::RU_106_TONE},
      {/* 1 */ {{-243, -138}},
       /* 2 */ {{-109, -4}},
       /* 3 */ {{4, 109}},
       /* 4 */ {{138, 243}}}},
-    {{40, HeRu::RU_242_TONE},
+    {{MHz_u{40}, HeRu::RU_242_TONE},
      {/* 1 */ {{-244, -3}},
       /* 2 */ {{3, 244}}}},
-    {{40, HeRu::RU_484_TONE}, {/* 1 */ {{-244, -3}, {3, 244}}}},
+    {{MHz_u{40}, HeRu::RU_484_TONE}, {/* 1 */ {{-244, -3}, {3, 244}}}},
     // RUs in an 80 MHz HE PPDU (Table 28-8)
-    {{80, HeRu::RU_26_TONE},
+    {{MHz_u{80}, HeRu::RU_26_TONE},
      {/* 1 */ {{-499, -474}},
       /* 2 */ {{-473, -448}},
       /* 3 */ {{-445, -420}},
@@ -115,7 +115,7 @@
       /* 35 */ {{420, 445}},
       /* 36 */ {{448, 473}},
       /* 37 */ {{474, 499}}}},
-    {{80, HeRu::RU_52_TONE},
+    {{MHz_u{80}, HeRu::RU_52_TONE},
      {/* 1 */ {{-499, -448}},
       /* 2 */ {{-445, -394}},
       /* 3 */ {{-365, -314}},
@@ -132,7 +132,7 @@
       /* 14 */ {{314, 365}},
       /* 15 */ {{394, 445}},
       /* 16 */ {{448, 499}}}},
-    {{80, HeRu::RU_106_TONE},
+    {{MHz_u{80}, HeRu::RU_106_TONE},
      {/* 1 */ {{-499, -394}},
       /* 2 */ {{-365, -260}},
       /* 3 */ {{-257, -152}},
@@ -141,15 +141,15 @@
       /* 6 */ {{152, 257}},
       /* 7 */ {{260, 365}},
       /* 8 */ {{394, 499}}}},
-    {{80, HeRu::RU_242_TONE},
+    {{MHz_u{80}, HeRu::RU_242_TONE},
      {/* 1 */ {{-500, -259}},
       /* 2 */ {{-258, -17}},
       /* 3 */ {{17, 258}},
       /* 4 */ {{259, 500}}}},
-    {{80, HeRu::RU_484_TONE},
+    {{MHz_u{80}, HeRu::RU_484_TONE},
      {/* 1 */ {{-500, -17}},
       /* 2 */ {{17, 500}}}},
-    {{80, HeRu::RU_996_TONE}, {/* 1 */ {{-500, -3}, {3, 500}}}},
+    {{MHz_u{80}, HeRu::RU_996_TONE}, {/* 1 */ {{-500, -3}, {3, 500}}}},
 };
 
 // Table 27-26 IEEE802.11ax-2021
@@ -467,10 +467,10 @@
 std::size_t
 HeRu::RuSpec::GetPhyIndex(MHz_u bw, uint8_t p20Index) const
 {
-    bool primary80IsLower80 = (p20Index < bw / 40);
+    bool primary80IsLower80 = (p20Index < bw / MHz_u{40});
 
-    if (bw < 160 || m_ruType == HeRu::RU_2x996_TONE || (primary80IsLower80 && m_primary80MHz) ||
-        (!primary80IsLower80 && !m_primary80MHz))
+    if (bw < MHz_u{160} || m_ruType == HeRu::RU_2x996_TONE ||
+        (primary80IsLower80 && m_primary80MHz) || (!primary80IsLower80 && !m_primary80MHz))
     {
         return m_index;
     }
@@ -483,21 +483,21 @@
 std::size_t
 HeRu::GetNRus(MHz_u bw, RuType ruType)
 {
-    if (bw == 160 && ruType == RU_2x996_TONE)
+    if (bw == MHz_u{160} && ruType == RU_2x996_TONE)
     {
         return 1;
     }
 
     // if the bandwidth is 160MHz, search for the number of RUs available
     // in 80MHz and double the result.
-    auto it = m_heRuSubcarrierGroups.find({(bw == 160 ? 80 : bw), ruType});
+    auto it = m_heRuSubcarrierGroups.find({(bw == MHz_u{160} ? MHz_u{80} : bw), ruType});
 
     if (it == m_heRuSubcarrierGroups.end())
     {
         return 0;
     }
 
-    return (bw == 160 ? 2 : 1) * it->second.size();
+    return (bw == MHz_u{160} ? 2 : 1) * it->second.size();
 }
 
 std::vector<HeRu::RuSpec>
@@ -505,17 +505,17 @@
 {
     if (ruType == HeRu::RU_2x996_TONE)
     {
-        NS_ASSERT(bw >= 160);
+        NS_ASSERT(bw >= MHz_u{160});
         return {{ruType, 1, true}};
     }
 
     std::vector<HeRu::RuSpec> ret;
     std::vector<bool> primary80MHzSet{true};
 
-    if (bw == 160)
+    if (bw == MHz_u{160})
     {
         primary80MHzSet.push_back(false);
-        bw = 80;
+        bw = MHz_u{80};
     }
 
     for (auto primary80MHz : primary80MHzSet)
@@ -537,22 +537,22 @@
 
     if (ruType == HeRu::RU_52_TONE || ruType == HeRu::RU_106_TONE)
     {
-        if (bw == 20)
+        if (bw == MHz_u{20})
         {
             indices.push_back(5);
         }
-        else if (bw == 40)
+        else if (bw == MHz_u{40})
         {
             indices.insert(indices.end(), {5, 14});
         }
-        else if (bw >= 80)
+        else if (bw >= MHz_u{80})
         {
             indices.insert(indices.end(), {5, 14, 19, 24, 33});
         }
     }
     else if (ruType == HeRu::RU_242_TONE || ruType == HeRu::RU_484_TONE)
     {
-        if (bw >= 80)
+        if (bw >= MHz_u{80})
         {
             indices.push_back(19);
         }
@@ -561,7 +561,7 @@
     std::vector<HeRu::RuSpec> ret;
     std::vector<bool> primary80MHzSet{true};
 
-    if (bw == 160)
+    if (bw == MHz_u{160})
     {
         primary80MHzSet.push_back(false);
     }
@@ -581,7 +581,7 @@
 {
     if (ruType == HeRu::RU_2x996_TONE) // handle special case of RU covering 160 MHz channel
     {
-        NS_ABORT_MSG_IF(bw != 160, "2x996 tone RU can only be used on 160 MHz band");
+        NS_ABORT_MSG_IF(bw != MHz_u{160}, "2x996 tone RU can only be used on 160 MHz band");
         return {{-1012, -3}, {3, 1012}};
     }
 
@@ -590,21 +590,21 @@
     // The phyIndex is used to that aim.
     std::size_t indexInLower80MHz = phyIndex;
     std::size_t numRus = GetNRus(bw, ruType);
-    int16_t shift = (bw == 160) ? -512 : 0;
-    if (bw == 160 && phyIndex > (numRus / 2))
+    int16_t shift = (bw == MHz_u{160}) ? -512 : 0;
+    if (bw == MHz_u{160} && phyIndex > (numRus / 2))
     {
         // The provided index is that of the upper 80 MHz subchannel
         indexInLower80MHz = phyIndex - (numRus / 2);
         shift = 512;
     }
 
-    auto it = m_heRuSubcarrierGroups.find({(bw == 160 ? 80 : bw), ruType});
+    auto it = m_heRuSubcarrierGroups.find({(bw == MHz_u{160} ? MHz_u{80} : bw), ruType});
 
     NS_ABORT_MSG_IF(it == m_heRuSubcarrierGroups.end(), "RU not found");
     NS_ABORT_MSG_IF(indexInLower80MHz > it->second.size(), "RU index not available");
 
     SubcarrierGroup group = it->second.at(indexInLower80MHz - 1);
-    if (bw == 160)
+    if (bw == MHz_u{160})
     {
         for (auto& range : group)
         {
@@ -619,7 +619,7 @@
 HeRu::DoesOverlap(MHz_u bw, RuSpec ru, const std::vector<RuSpec>& v)
 {
     // A 2x996-tone RU spans 160 MHz, hence it overlaps with any other RU
-    if (bw == 160 && ru.GetRuType() == RU_2x996_TONE && !v.empty())
+    if (bw == MHz_u{160} && ru.GetRuType() == RU_2x996_TONE && !v.empty())
     {
         return true;
     }
@@ -656,7 +656,7 @@
 {
     for (const auto& range : toneRanges)
     {
-        if (bw == 160 && ru.GetRuType() == RU_2x996_TONE)
+        if (bw == MHz_u{160} && ru.GetRuType() == RU_2x996_TONE)
         {
             return true;
         }
@@ -681,7 +681,7 @@
 
     std::size_t numRusPer80Mhz;
     std::vector<bool> primary80MhzFlags;
-    if (bw == 160)
+    if (bw == MHz_u{160})
     {
         primary80MhzFlags.push_back(true);
         primary80MhzFlags.push_back(false);
@@ -758,22 +758,22 @@
     switch (ruType)
     {
     case RU_26_TONE:
-        return 2;
+        return MHz_u{2};
     case RU_52_TONE:
-        return 4;
+        return MHz_u{4};
     case RU_106_TONE:
-        return 8;
+        return MHz_u{8};
     case RU_242_TONE:
-        return 20;
+        return MHz_u{20};
     case RU_484_TONE:
-        return 40;
+        return MHz_u{40};
     case RU_996_TONE:
-        return 80;
+        return MHz_u{80};
     case RU_2x996_TONE:
-        return 160;
+        return MHz_u{160};
     default:
         NS_ABORT_MSG("RU type " << ruType << " not found");
-        return 0;
+        return MHz_u{0};
     }
 }
 
@@ -819,7 +819,8 @@
             nRusAssigned = ru.second.size();
             break;
         }
-        else if (bandwidth == 160 && ru.first.first == 80 && (2 * ru.second.size() <= nStations))
+        else if (bandwidth == MHz_u{160} && ru.first.first == MHz_u{80} &&
+                 (2 * ru.second.size() <= nStations))
         {
             ruType = ru.first.second;
             nRusAssigned = 2 * ru.second.size();
@@ -828,7 +829,7 @@
     }
     if (nRusAssigned == 0)
     {
-        NS_ABORT_IF(bandwidth != 160 || nStations != 1);
+        NS_ABORT_IF(bandwidth != MHz_u{160} || nStations != 1);
         nRusAssigned = 1;
         ruType = RU_2x996_TONE;
     }
@@ -839,11 +840,11 @@
     {
     case RU_52_TONE:
     case RU_106_TONE:
-        if (bandwidth == 20)
+        if (bandwidth == MHz_u{20})
         {
             nCentral26TonesRus = 1;
         }
-        else if (bandwidth == 40)
+        else if (bandwidth == MHz_u{40})
         {
             nCentral26TonesRus = 2;
         }
@@ -854,13 +855,13 @@
         break;
     case RU_242_TONE:
     case RU_484_TONE:
-        nCentral26TonesRus = (bandwidth >= 80 ? 1 : 0);
+        nCentral26TonesRus = (bandwidth >= MHz_u{80} ? 1 : 0);
         break;
     default:
         nCentral26TonesRus = 0;
     }
 
-    if (bandwidth == 160)
+    if (bandwidth == MHz_u{160})
     {
         nCentral26TonesRus *= 2;
     }
